osgAnimation::TemplateTarget< T > Class Template Reference

`#include <Target>`

Inheritance diagram for osgAnimation::TemplateTarget< T >:

## Public Member Functions

| TemplateTarget ()
| TemplateTarget (const T &v)
| TemplateTarget (const TemplateTarget &v)
void | lerp (float t, const T &a, const T &b)
void | update (float weight, const T &val, int priority)
const T & | getValue () const
void | setValue (const T &value)
void | lerp (float t, const osg::Quat &a, const osg::Quat &b)
Public Member Functions inherited from osgAnimation::Target
| Target ()
virtual | ~Target ()
void | reset ()
int | getCount () const
float | getWeight () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

T | _target
Protected Attributes inherited from osgAnimation::Target
float | _weight
float | _priorityWeight
int | _lastPriority
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## TemplateTarget() [1/3]

template<class T>

osgAnimation::TemplateTarget< T >::TemplateTarget | ( |  | ) |

inline

## TemplateTarget() [2/3]

template<class T>

osgAnimation::TemplateTarget< T >::TemplateTarget | ( | const T & | v | ) |

inline

## TemplateTarget() [3/3]

template<class T>

osgAnimation::TemplateTarget< T >::TemplateTarget | ( | const TemplateTarget< T > & | v | ) |

inline

## Member Function Documentation

## getValue()

template<class T>

const T & osgAnimation::TemplateTarget< T >::getValue | ( |  | ) | const

inline

Referenced by osgAnimation::TemplateTarget< UsingType >::TemplateTarget().

## lerp() [1/2]

void osgAnimation::TemplateTarget< osg::Quat >::lerp | ( | float | t,
|  | const osg::Quat & | a,
|  | const osg::Quat & | b )

inline

## lerp() [2/2]

template<class T>

void osgAnimation::TemplateTarget< T >::lerp | ( | float | t,
|  | const T & | a,
|  | const T & | b )

inline

References _target.

Referenced by osgAnimation::TemplateTarget< UsingType >::update().

## setValue()

template<class T>

void osgAnimation::TemplateTarget< T >::setValue | ( | const T & | value | ) |

inline

Referenced by osgAnimation::TemplateTarget< UsingType >::TemplateTarget(), and osgAnimation::TemplateTarget< UsingType >::TemplateTarget().

## update()

template<class T>

void osgAnimation::TemplateTarget< T >::update | ( | float | weight,
|  | const T & | val,
|  | int | priority )

inline

The priority is used to detect a change of priority It's important to update animation target in priority order. eg: all animation with priority 1 all animation with priority 0 all animation with priority -1 ...

## Member Data Documentation

## _target

template<class T>

T osgAnimation::TemplateTarget< T >::_target

protected

Referenced by lerp().

The documentation for this class was generated from the following file:

- Target